/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.hanyo;

import com.aimluck.commons.field.ALNumberField;
import com.aimluck.commons.field.ALStringField;
import com.aimluck.eip.common.ALData;

/**
 * 汎用マスタのResultDataです。 <BR>
 * 
 */
public class HanyoResultData implements ALData {

  private ALNumberField hanyo_id;

  private ALNumberField parent_hanyo_id;

  private ALStringField value;

  private ALStringField not_delete;

  private ALStringField hanyokubunnm;

  private ALStringField disabled;

  private ALStringField parentHanyoName;

  /**
   * 
   * @see com.aimluck.eip.common.ALData#initField()
   */
  public void initField() {
    hanyo_id = new ALNumberField();
    parent_hanyo_id = new ALNumberField();
    value = new ALStringField();
    not_delete = new ALStringField();
    hanyokubunnm = new ALStringField();
    disabled = new ALStringField();
    parentHanyoName = new ALStringField();
  }

  /**
   * @return
   */
  public ALNumberField getHanyoId() {
    return hanyo_id;
  }

  /**
   * @param i
   */
  public void setHanyoId(int i) {
    hanyo_id.setValue(i);
  }

  /**
   * @return
   */
  public ALNumberField getParentHanyoId() {
    return parent_hanyo_id;
  }

  /**
   * @param i
   */
  public void setParentHanyoId(int i) {
    parent_hanyo_id.setValue(i);
  }

  /**
   * @return
   */
  public ALStringField getValue() {
    return value;
  }

  /**
   * @param string
   */
  public void setValue(String string) {
    value.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getHanyokubunnm() {
    return hanyokubunnm;
  }

  /**
   * @param string
   */
  public void setHanyokubunnm(String string) {
    hanyokubunnm.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getNotDelete() {
    return not_delete;
  }

  /**
   * @param string
   */
  public void setNotDelete(String string) {
    not_delete.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getDisabled() {
    return disabled;
  }

  /**
   * @param string
   */
  public void setDisabled(String string) {
    disabled.setValue(string);
  }

  /**
   * @return
   */
  public ALStringField getParentHanyoName() {
    return parentHanyoName;
  }

  /**
   * @param string
   */
  public void setParentHanyoName(String string) {
    parentHanyoName.setValue(string);
  }
}
